Skip to main content

List advertiser subaccounts

GET 
/v1/subaccounts

Gets a complete list of advertiser subaccounts.

OAuth scopeAccess token type
employer.advertising.subaccount.readAccess token without the employer parameter.

Request

Responses

Success

Schema

    meta

    object

    Response-related metadata.

    status int32

    HTTP status code of the response.

    errors

    object[]

    Any errors that prevented successful processing of the request. If there were no errors, the value is null.

  • Array [

  • type string

    Name of the error.

    description string

    Human-readable description of the problem.

  • ]

  • rootLocation string

    Base URL of the Sponsored Jobs API.

    perPage int32

    For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.

    links

    object[]

    Resources related to the requested resource.

  • Array [

  • rel string

    The relationship between the requested resource and the related resource. These values are commonly used:

    • up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.
    • next: The next page of entries in a paginated result.
    • prev: The previous page of entries in a paginated result.

    However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.

    href string

    Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.

  • ]

  • data

    object

    SubAccountList

    object[]

  • Array [

  • id string

    Deprecated. Legacy employer ID. Use employerId instead.

    employerId string
    company string
    email string
    currencyCode string

    ISO 4217 currency code used for the subaccount's campaign budgets and billing. Must match the root advertiser account's currency.

  • ]

Loading...

Was this page helpful?